import 'package:krow/core/data/models/client/client.dart';

abstract class ClientProfileRepository {
  Stream<ClientModel> getPersonalInfo();

  Future<ClientModel> updatePersonalInfo({
    required String firstName,
    required String lastName,
    required String phone,
    String? avatarPath,
  });

  Future<void> deactivateProfile();
}
